$seven_col_base: 14.285714285714285714285714285714%;

@mixin seven_col($local_seven_col_base) {
    width: $local_seven_col_base;
    max-width: $local_seven_col_base;
    flex: 0 0 $local_seven_col_base;
    -ms-flex: 0 0 $local_seven_col_base;
    @media (max-width: 575px) {
        width: 100%;
        *width: 100%;
    }
}

@mixin sm {
    @media (min-width: 768px) {
        @content;
    }
}
@mixin md {
    @media (min-width: 992px) {
        @content;
    }
}
@mixin lg {
    @media (min-width: 1200px) {
        @content;
    }
}

.row.seven-cols > .col-1,
.row.seven-cols > .col-sm-1,
.row.seven-cols > .col-md-1,
.row.seven-cols > .col-lg-1  {
    @include seven_col($seven_col_base); 
}

.row.seven-cols > .col-2,
.row.seven-cols > .col-sm-2,
.row.seven-cols > .col-md-2,
.row.seven-cols > .col-lg-2  { 
    @include seven_col(2*$seven_col_base);
}

.row.seven-cols > .col-3,
.row.seven-cols > .col-sm-3,
.row.seven-cols > .col-md-3,
.row.seven-cols > .col-lg-3  { 
    @include seven_col(3*$seven_col_base);
}

.row.seven-cols > .col-4,
.row.seven-cols > .col-sm-4 ,
.row.seven-cols > .col-md-4,
.row.seven-cols > .col-lg-4 { 
    @include seven_col(4*$seven_col_base); 
}

.row.seven-cols > .col-5,
.row.seven-cols > .col-sm-5,
.row.seven-cols > .col-md-5,
.row.seven-cols > .col-lg-5,
.row.seven-cols > .col-xl-5  {
    @include seven_col(5*$seven_col_base);
}
.row.seven-cols > .col-6,
.row.seven-cols > .col-sm-6,
.row.seven-cols > .col-md-6,
.row.seven-cols > .col-lg-6,
.row.seven-cols > .col-xl-6  {
    @include seven_col(6*$seven_col_base);
}
.row.seven-cols > .col-7,
.row.seven-cols > .col-sm-7,
.row.seven-cols > .col-md-7,
.row.seven-cols > .col-lg-7,
.row.seven-cols > .col-xl-7  {
    @include seven_col(100%);
}

@mixin seven_col_offset($local_seven_col_base) {
    margin-left: $local_seven_col_base;
}

.row.seven-cols > .offset-1,
.row.seven-cols > .offset-md-1,
.row.seven-cols > .offset-sm-1,
.row.seven-cols > .offset-lg-1,
.row.seven-cols > .offset-xl-1  {
    @include seven_col_offset($seven_col_base);
}
.row.seven-cols > .offset-2,
.row.seven-cols > .offset-md-2,
.row.seven-cols > .offset-sm-2,
.row.seven-cols > .offset-lg-2,
.row.seven-cols > .offset-xl-2  {
    @include seven_col_offset(2*$seven_col_base);
}
.row.seven-cols > .offset-3,
.row.seven-cols > .offset-md-3,
.row.seven-cols > .offset-sm-3,
.row.seven-cols > .offset-lg-3,
.row.seven-cols > .offset-xl-3  {
    @include seven_col_offset(3*$seven_col_base);
}
.row.seven-cols > .offset-4,
.row.seven-cols > .offset-md-4,
.row.seven-cols > .offset-sm-4,
.row.seven-cols > .offset-lg-4,
.row.seven-cols > .offset-xl-4  {
    @include seven_col_offset(4*$seven_col_base);
}
.row.seven-cols > .offset-5,
.row.seven-cols > .offset-md-5,
.row.seven-cols > .offset-sm-5,
.row.seven-cols > .offset-lg-5,
.row.seven-cols > .offset-xl-5  {
    @include seven_col_offset(5*$seven_col_base);
}
.row.seven-cols > .offset-6,
.row.seven-cols > .offset-md-6,
.row.seven-cols > .offset-sm-6,
.row.seven-cols > .offset-lg-6,
.row.seven-cols > .offset-xl-6  {
    @include seven_col_offset(6*$seven_col_base);
}
